//-----------步驟流程-----------
function main_StepFlowRunProjectNoHide_click(that)
{
	var Class = new StepFlow();
	Class.RunProjectNoHide(that);
	Class = null;
}
function main_StepFlowRunProject_click(that)
{
	var Class = new StepFlow();
	Class.RunProject(that);
	Class = null;
}
function main_StepFlowRunBackstageService_click(that)
{
	var Class = new StepFlow();
	Class.RunProject_BackstageService(that);
	Class = null;
}
function main_StepFlowSelectComPortSetting_click(that)
{
	var Class = new StepFlow();
	Class.SelectComPortSetting(that);
	Class = null;
}
  //IoT平台
function main_StepFlowSelectBrokerSetting_click(that)
{
	var Class = new StepFlow();
	Class.SelectBrokerSetting(that);
	Class = null;
}
function main_StepFlowSelectMqttGroupConnection_click(that)
{
	var Class = new StepFlow();
	Class.SelectMqttGroupConnection(that);
	Class = null;
}
function main_StepFlowSelectAzureSetting_click(that)
{
	var Class = new StepFlow();
	Class.SelectAzureSetting(that);
	Class = null;
}
function main_StepFlowSelectOpcUaLocalServer_click(that)
{
	var Class = new StepFlow();
	Class.SelectOpcUaLocalServer(that);
	Class = null;
}
  //模組
function main_StepFlowMasterRtuModule_click(that)
{
	var Class = new StepFlow();
	Class.MasterRtuModule(that);
	Class = null;
}
function main_StepFlowMasterTcpModule_click(that)
{
	var Class = new StepFlow();
	Class.MasterTcpModule(that);
	Class = null;
}
function main_StepFlowMasterAsciiModule_click(that)
{
	var Class = new StepFlow();
	Class.MasterAsciiModule(that);
	Class = null;
}
function main_StepFlowMqttModule_click(that)
{
	var Class = new StepFlow();
	Class.MqttModule(that);
	Class = null;
}
function main_StepFlowAllModule_click(that)
{
	var Class = new StepFlow();
	Class.AllModule(that);
	Class = null;
}
function main_StepFlowMasterModbusModule_click(that)
{
	var Class = new StepFlow();
	Class.MasterModbusModule(that);
	Class = null;
}


  //OPC UA 轉換傳輸
function main_StepFlowMasterRtuToOpcua_click(that)
{
	var Class = new StepFlow();
	Class.MasterRtuToOpcua(that);
	Class = null;
}
function main_StepFlowMasterTcpToOpcua_click(that)
{
	var Class = new StepFlow();
	Class.MasterTcpToOpcua(that);
	Class = null;
}
function main_StepFlowMasterAsciiToOpcua_click(that)
{
	var Class = new StepFlow();
	Class.MasterAsciiToOpcua(that);
	Class = null;
}
function main_StepFlowMqttToOpcua_click(that)
{
	var Class = new StepFlow();
	Class.SelectMqttToOpcua(that);
	Class = null;
}

function main_StepFlowModuleToPidAndOpcua_click(that)
{
	var Class = new StepFlow();
	Class.AllModuleToOpcua(that);
	Class = null;
}
  //MQTT 轉換傳輸
function main_StepFlowMasterRtuToMqtt_click(that)
{
	var Class = new StepFlow();
	Class.MasterRtuToMqtt(that);
	Class = null;
}
function main_StepFlowMasterTcpToMqtt_click(that)
{
	var Class = new StepFlow();
	Class.MasterTcpToMqtt(that);
	Class = null;
}
function main_StepFlowMasterAsciiToMqtt_click(that)
{
	var Class = new StepFlow();
	Class.MasterAsciiToMqtt(that);
	Class = null;
}
  //MQTT JSON 轉換傳輸
function main_StepFlowMasterRtuToMqttJson_click(that)
{
	var Class = new StepFlow();
	Class.MasterRtuToMqttJson(that);
	Class = null;
}
function main_StepFlowMasterTcpToMqttJson_click(that)
{
	var Class = new StepFlow();
	Class.MasterTcpToMqttJson(that);
	Class = null;
}
function main_StepFlowMasterAsciiToMqttJson_click(that)
{
	var Class = new StepFlow();
	Class.MasterAsciiToMqttJson(that);
	Class = null;
}
  //進階功能
    //PID運算
function main_StepFlowSelectPidOperation_click(that)
{
	var Class = new StepFlow();
	Class.SelectPidOperation(that);
	Class = null;
}

    //IFTTT通知
function main_StepFlowSelectIftttConditionTrigger_click(that)
{
	var Class = new StepFlow();
	Class.SelectIftttConditionTrigger(that);
	Class = null;
}

    //遠端資料庫
function main_StepFlowSelectMsSqlConnection_click(that)
{
	var Class = new StepFlow();
	Class.SelectMsSqlConnection(that);
	Class = null;
}
function main_StepFlowSelectRtuModuleRecord_click(that)
{
	var Class = new StepFlow();
	Class.SelectRtuModuleRecord(that);
	Class = null;
}
function main_StepFlowSelectTcpModuleRecord_click(that)
{
	var Class = new StepFlow();
	Class.SelectTcpModuleRecord(that);
	Class = null;
}
function main_StepFlowSelectMqttToMsSql_click(that)
{
	var Class = new StepFlow();
	Class.SelectMqttToMsSql(that);
	Class = null;
}

 //MySQL資料庫
function main_StepFlowSelectMysqlConnection_click(that)
{
	var Class = new StepFlow();
	Class.SelectMysqlConnection(that);
	Class = null;
}
function main_StepFlowSelectRtuToMysqlConnection_click(that)
{
	var Class = new StepFlow();
	Class.SelectRtuToMysqlConnection(that);
	Class = null;
}
function main_StepFlowSelectTcpToMysqlConnection_click(that)
{
	var Class = new StepFlow();
	Class.SelectTcpToMysqlConnection(that);
	Class = null;
}
function main_StepFlowSelectMqttToMysql_click(that)
{
	var Class = new StepFlow();
	Class.SelectMqttToMysql(that);
	Class = null;
}

  //即時資訊顯示
function main_StepFlowSelectIoStatus_click(that)
{
	var Class = new StepFlow();
	Class.SelectIoStatus(that);
	Class = null;
}

  //OPC UA憑證管理
function main_StepFlowSelectOpcuaCertificate_click(that)
{
	var Class = new StepFlow();
	Class.SelectOpcuaCertificate(that);
	Class = null;
}

  //MQTT憑證管理
function main_StepFlowSelectMqttCertificate_click(that)
{
	var Class = new StepFlow();
	Class.SelectMqttCertificate(that);
	Class = null;
}
